Subject: [MSEC] [Fwd: Questions on GDOI]

From: Brian Weis <[email-masked]>
Date: Mon, 21 Jan 2002 10:43:56 -0800

Subject: Re: Questions on GDOI
From: Brian Weis <[email-masked]>
To: Ran Canetti <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Fri, 18 Jan 2002 11:26:29 -0800

Hi Ran,

Ran Canetti wrote:
> 
> Hey. I have a question on version 03:
> 
> In section 5.7 you say:
> 
>    The GCKS, GCKS delegate or member signs a prf (i.e., RFC 2409 keyed
>    MAC) of the following values:
>         POP_HASH = prf("pop" | Ni | Nr)
> 
> My question: How is the prf keyed? what is the key?
> (in fact, is a key needed here at all or is a regular, unkeyed hash enough?)

Ooops. I guess we have our first "last call" comment. :-) Indeed we
meant for this to be a hash, not an HMAC. The use of "prf" is incorrect.
This should say

   The GCKS, GCKS delegate or member signs a hash of the following
values:
        POP_HASH = hash("pop" | Ni | Nr)

And, I think we'll have to define the syntax of hash() someplace.

Thanks for the catch!
Brian

> Thx,
> Ran

-- 
Brian Weis
Strategic Cryptographic Development, ITD, Cisco Systems
Telephone: +1 408 526 4796
Email: [email-masked]